Page MenuHomePhabricator

PayPal audit parser is not associating donations with the correct contribution_tracking record
Closed, ResolvedPublic1 Estimated Story Points

Description

Looks like the contribution tracking ID is correct in the audit file, so:

  • Fix the code so it imports correctly.
  • Delete contributions which failed to associate.
  • Reparse affected audit files.

Event Timeline

awight created this task.Sep 18 2015, 7:25 PM
awight claimed this task.
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Pcoombe, jrobell, awight, Aklapper.

Change 239507 had a related patch set uploaded (by Awight):
Parse and send the contribution tracking ID, if available

https://gerrit.wikimedia.org/r/239507

Change 239507 merged by Cdentinger:
Parse and send the contribution tracking ID, if available

https://gerrit.wikimedia.org/r/239507

Change 239516 had a related patch set uploaded (by Awight):
One-off script to repair payment audit import

https://gerrit.wikimedia.org/r/239516

Fix to the audit parser is deployed.

The one off script isn't complete yet, we have to build the list of records to repair using tools:sandbox/adamw/201509_paypal_audit over TRR files from 20150828 through 20150918.

Oops, still need to backfill the broken associations with contribution_tracking.

awight set Security to None.Sep 23 2015, 6:12 PM
awight edited a custom field.

Change 239516 abandoned by Awight:
One-off script to repair payment audit import

Reason:
ran it by hand.

https://gerrit.wikimedia.org/r/239516

PayPal donations from 9/16 are showing up for me. Thanks!

awight closed this task as Resolved.Sep 28 2015, 5:46 AM

Thank you for the help with this!

mmodell removed a subscriber: awight.Jun 22 2017, 9:37 PM